use Benchmark qw/:all/;
use DateTime;
use DateTime::TimeZone;
my $name = "Asia/Tokyo";
my $tz = DateTime::TimeZone->new( name => $name );
my $results = timethese( 0, {
    obj_tz => sub { DateTime->now( time_zone => $tz ) },
    str_tz => sub { DateTime->now( time_zone => $name ) },
});
cmpthese($results);
